This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 796183 - Review Request: python-nitrate - Python API for the Nitrate test case management system
Review Request: python-nitrate - Python API for the Nitrate test case managem...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bohuslav "Slavek" Kabrda
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-02-22 07:50 EST by Petr Šplíchal
Modified: 2016-05-31 21:42 EDT (History)
4 users (show)

See Also:
Fixed In Version: python-nitrate-0.8-0.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-02-28 06:04:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
bkabrda: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Petr Šplíchal 2012-02-22 07:50:26 EST
Spec URL: http://psss.fedorapeople.org/python-nitrate/python-nitrate.spec
SRPM URL: http://psss.fedorapeople.org/python-nitrate/python-nitrate-0.7-1.el6.src.rpm

Description:
python-nitrate is a Python interface to the Nitrate test case
management system. The package consists of a high-level Python
module (provides natural object interface), a low-level driver
(allows to directly access Nitrate's XMLRPC API) and a command
line interpreter (useful for fast debugging and experimenting).

Links:
Git: http://fedorapeople.org/gitweb?p=psss/public_git/python-nitrate
Doc: http://psss.fedorapeople.org/python-nitrate/python-nitrate.html

Note:
This is my first package so I will need a sponsor. Thanks.
Comment 2 Bohuslav "Slavek" Kabrda 2012-02-22 08:58:39 EST
- URL should probably point to [1], which contains some information about the project, not the directory with source files/tars/etc...
- You should use "install -p" to preserve timestamps, see [2].
- You cannot own %{python_sitelib} - that would imply that you own the whole directory with any files _even from other packages_ (and after uninstallation of your package, it would remove this directory with everything inside it). Rather than that, use %{python_sitelib}/*, which will cause your package to own all the files that are under %{buildroot}%{python_sitelib}.
- Otherwise the package looks good and works, so when you fix these problems, it can be approved.


[1] http://psss.fedorapeople.org/python-nitrate/python-nitrate.html
[2] https://fedoraproject.org/wiki/Packaging:Guidelines#Timestamps
Comment 3 Petr Šplíchal 2012-02-22 09:35:33 EST
(In reply to comment #2)
> - URL should probably point to [1], which contains some information about the
> project, not the directory with source files/tars/etc...

Agree, I've updated the link.

> - You should use "install -p" to preserve timestamps, see [2].

Fixed.

> - You cannot own %{python_sitelib} - that would imply that you own the whole
> directory with any files _even from other packages_ (and after uninstallation
> of your package, it would remove this directory with everything inside it).
> Rather than that, use %{python_sitelib}/*, which will cause your package to own
> all the files that are under %{buildroot}%{python_sitelib}.

Oh, I had that before but then "simplified" it in the wrong
direction. This is now fixed as well.

> - Otherwise the package looks good and works, so when you fix these problems,
> it can be approved.

Thanks for the review! New spec file and source rpm are ready:

http://psss.fedorapeople.org/python-nitrate/python-nitrate.spec
http://psss.fedorapeople.org/python-nitrate/python-nitrate-0.7-2.el6.src.rpm
Comment 4 Bohuslav "Slavek" Kabrda 2012-02-22 09:43:57 EST
Everything is ok now, package is APPROVED.
Comment 5 Petr Šplíchal 2012-02-22 10:03:45 EST
New Package SCM Request
=======================
Package Name: python-nitrate
Short Description: Python API for the Nitrate test case management system
Owners: psss
Branches: f16 f17 el6
InitialCC:
Comment 6 Jon Ciesla 2012-02-22 10:14:33 EST
Git done (by process-git-requests).
Comment 7 Fedora Update System 2012-02-23 05:35:19 EST
python-nitrate-0.7-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/python-nitrate-0.7-2.el6
Comment 8 Fedora Update System 2012-02-23 05:39:10 EST
python-nitrate-0.7-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/python-nitrate-0.7-2.fc16
Comment 9 Fedora Update System 2012-02-23 05:41:29 EST
python-nitrate-0.7-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/python-nitrate-0.7-2.fc17
Comment 10 Fedora Update System 2012-02-23 17:28:05 EST
python-nitrate-0.7-2.fc17 has been pushed to the Fedora 17 testing repository.
Comment 11 Fedora Update System 2012-02-28 06:04:31 EST
python-nitrate-0.7-2.fc17 has been pushed to the Fedora 17 stable repository.
Comment 12 Fedora Update System 2012-02-29 10:40:39 EST
python-nitrate-0.8-0.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/python-nitrate-0.8-0.el6
Comment 13 Fedora Update System 2012-02-29 10:40:51 EST
python-nitrate-0.8-0.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/python-nitrate-0.8-0.fc16
Comment 14 Fedora Update System 2012-03-14 22:26:37 EDT
python-nitrate-0.8-0.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2012-03-15 15:53:55 EDT
python-nitrate-0.8-0.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 16 Petr Šplíchal 2014-08-08 12:16:33 EDT
Package Change Request
======================
Package Name: python-nitrate
New Branches: epel7
Owners: psss
Comment 17 Jon Ciesla 2014-08-08 12:21:13 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.